//
//  bt_a2dp_sink.h
//
//  Bluetooth Protocol Stack - A2DP (Advanced Audio Distribution Profile) Audio Sink application
//  Copyright (C) 2017 Toyohiko Togashi tog001@nifty.com
//
//
//  This program is free software; you can redistribute it and/or modify it under the terms of the
//  GNU General Public License as published by the Free Software Foundation; either version 3
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with this program.
//  If not, see <http://www.gnu.org/licenses/>
//
//
//  Reference:
//      Bluetooth SIG (www.bluetooth.com)
//          Adopted Specifications
//          Traditional Profiles
//              Advanced Audio Distribution Profile (A2DP) 1.3
//
//  Update history
//  ---------- ----- -------------------------------------------
//  2017.03.10 v0.0  First cording
//
#ifndef BT_A2DP_SINK_H_
#define	BT_A2DP_SINK_H_

#include <stddef.h>

#define BT_A2DP_SINK_MAX_ENDPOINT   1       //
#define BT_A2DP_SINK_BUFFER_NUM     4       //
#define BT_A2DP_SINK_BUFFER_SIZE    1024    //

struct bt_a2dp_endPoint {
	unsigned char	inUse;
	unsigned char	intSeid;
	size_t			configLen;
	unsigned char	config[16];			// struct bt_avdtp_serviceCapabilitie
	enum {
		A2DP_EVENT_STOP,
		A2DP_EVENT_START,
		A2DP_EVENT_PAUSE,
	}				event;
	enum {
		A2DP_STATE_STOP,
		A2DP_STATE_PLAY,
	}				state;
	short			pcmBuffer[BT_A2DP_SINK_BUFFER_NUM + 1][BT_A2DP_SINK_BUFFER_SIZE][2];
	int				pcmLen[BT_A2DP_SINK_BUFFER_NUM];
	int				pcmWritePos;		// Free counter
	int				pcmReadPos;			// Free counter
};

extern struct bt_a2dp_endPoint bt_a2dp_endPoint[BT_A2DP_SINK_MAX_ENDPOINT];

#endif
